BodyMassBins {cheddar} | R Documentation

## Body-mass bins

### Description

Function that assigns each node in a `Community` to a body-mass bin.

### Usage

    BodyMassBins(community, lower=min(NP(community,'M'), na.rm=TRUE),
                 upper=max(NP(community,'M'), na.rm=TRUE), n.bins=10)

### Arguments

`community` | an object of class `Community`.
`lower` | lower bound of the bins.
`upper` | upper bound of the bins.
`n.bins` | the number of bins.

### Details

Divides the range `lower` to `upper` in to `n.bins` equally-spaced log10(M) bins. Assigns each node in the `community` to one of these bins and returns the bins numbers. The returned vector has attributes `bin.centres` and `breaks`.

### Value

A vector of length `NumberOfNodes`.

### Author(s)

Lawrence Hudson

### See Also

`Community`, `NumberOfNodes`

### Examples

    data(TL84)
    BodyMassBins(TL84)

[Package cheddar version 0.1-633 Index]